Service Desk - Feature #1496

Device Integration for PACS.
08/11/2024 07:25 PM - Krishna Kanth A

Status: Closed Start date: 08/11/2024
Priority: Normal Due date:

Assignee: Venkata Suryateja Thripuraribhotla % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Spent time: 0:00 hour
Deployed In: Production Environment Category:

Description

Hi Bhanu Sir,

There is a Need to develop a small screen/tool to generate data as required for PACS ERP upload.
Request you to consider the development of this tool as below:

Requirements:
1)A page to be Developed to take a .txt file as Input and generate another .txt file as Output as per the given Instructions.
2) PACS User should have access to this page.

JUser should be able to Upload the Input file from his Local System

) Both Input and Output files are .PCTX files.

)Output File Name should be "InputFileName_Output.pctx”.

)Give Option to download the output file in to local System.

)Give a Provision for Administrator to Specify Number of characters per line in a file.
8)The Conversion Process should verify number of characters in each line as per the Number provided in Point 7. Any mismatch in
the count should be reported to the User along with the Line Number.
9) Conversion should happen only if all lines satisfy the length Criteria.
Sample record from Input File:
0000000000001012pigmy020001185000047200028Balageri Lakshmana
0000004750.0000100.0004/11/202420001184000001 10/06/202404/11/2024

Output Format/Columns:

1) Account No.--000047, Consider 6 characters from 31st Position

2)2,3 days collection --100.00 ,Consider 6 characters from 108th Position

3)customer name --Balageri Lakshma,Consider 16 characters from 43rd Position

4)balance Amount --750.00 ,Consider 6 characters from 100th Position

5)collection date--04/11/2024 Consider 10 characters from 149th Position (Please refer Instruction 3 for further info on this field)
6)Agreed Amount --100.00 Consider 6 characters from 108th Position. This is Same as 2nd Column.

Other Instructions:

1) There will be total 6 Columns in output

2)Each Column is to be seperated by ,(Comma)

3)Collection date should be in DD/MM/YY Format (Year to be trimmed to 2 digits)

Expected Output:
000047,100.00,Balageri Lakshma,750.00,04/11/24,100.00

Note:
Sample Files are attached for reference.

History

#1 - 08/11/2024 07:26 PM - Krishna Kanth A
- File ServiceDesk__InputFile_toGenerate _datefor ERP_Upload.txt added

- File Pigmy Data Structure conversion.docx added

#2 - 12/11/2024 10:28 AM - Krishna Kanth A
- Project changed from HIMS_RRAMS Web to Service Desk

#3 - 12/11/2024 06:45 PM - Krishna Kanth A
- File deleted (ServiceDesk__InputFile_toGenerate_datefor ERP_Upload.txt)

#4 - 12/11/2024 06:46 PM - Krishna Kanth A
- File 0010511D-ERP Download.txt added

#5 - 12/11/2024 07:12 PM - Krishna Kanth A
- Description updated

#6 - 12/11/2024 07:15 PM - Krishna Kanth A
- Description updated

#7 - 14/11/2024 12:07 PM - Krishna Kanth A
- Description updated

#8 - 14/11/2024 12:13 PM - Durga Konduru

- Description updated

#9 - 14/11/2024 12:13 PM - Durga Konduru
- Status changed from New to In Progress

- Assignee changed from Durga Konduru to Bhanuchander Sannidhanam

#10 - 15/11/2024 02:20 PM - Krishna Kanth A

- Description updated

#11 - 21/11/2024 10:18 AM - Krishna Kanth A

- Tracker changed from Bug to Feature

#12 - 22/11/2024 04:39 PM - Krishna Kanth A

- Description updated

#13 - 22/11/2024 04:40 PM - Krishna Kanth A

- Description updated

#14 - 22/11/2024 06:44 PM - Krishna Kanth A

- Description updated

#15 - 22/11/2024 07:00 PM - Krishna Kanth A
- Description updated
- Status changed from In Progress to Ready for QA

- Deployed In set to QA Environment

#16 - 25/11/2024 03:05 PM - Krishna Kanth A
Tested Successfully in QA.

#17 - 25/11/2024 05:03 PM - prathyusha Ramisetti
- Status changed from Ready for QA to Ready for StgDmo

- Assignee changed from Bhanuchander Sannidhanam to Venkata Suryateja Thripuraribhotla

#18 - 29/11/2024 10:15 AM - Krishna Kanth A

- File 0010511D-ERP Download_Output (2).txt added

- File 1496_OutputFileGeneration.jpg added

- Status changed from Ready for StgDmo to Ready for Prod

- Deployed In changed from QA Environment to Stage Environment

Tested in Stage Successfully.
Stage output is uploaded in the Attached files.

20/04/2025

2/3



#19 - 02/12/2024 07:22 PM - Krishna Kanth A
- File 0010511D-ERPDownload_Output_Prod_2Dec 2024.txt added
- Status changed from Ready for Prod to Closed

- Deployed In changed from Stage Environment to Production Environment

Tested in production Successfully. Working fine as per the Inputs Given.(2nd line output).

proceeding for ticket closure.

Files

Pigmy Data Structure conversion.docx

0010511D-ERP Download.txt

0010511D-ERP Download_Output (2).txt
1496_OutputFileGeneration.jpg
0010511D-ERPDownload_Output_Prod_2Dec_2024.txt
